get relation
curl --request GET \
--url https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}import requests
url = "https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"definition": {},
"kind": "table",
"version": {
"identity": "<string>",
"revision": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}Get relation
get relation. GET /api/v1/catalogs//relations/. Uses the same payload, validation, revision checks and response as the unified HTTP API.
get relation
curl --request GET \
--url https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}import requests
url = "https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}")
.asString();require 'uri'
require 'net/http'
url = URI("https://engine.example.com/api/v1/catalogs/{catalog_id}/relations/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"definition": {},
"kind": "table",
"version": {
"identity": "<string>",
"revision": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "Check the request fields"
}
}ReferenceApplies to: Unified engine deployments
Related guidance
Addresses and access · Request identity · Errors and recovery · Pagination and resultsQuery Parameters
Page size, bounded by the server. For query results this counts Arrow batches, default 1.
Required range:
x >= 1Last modified on November 4, 2026